Index: /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/HeuristicLab.Clients.OKB-3.3.csproj
===================================================================
--- /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/HeuristicLab.Clients.OKB-3.3.csproj	(revision 5605)
+++ /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/HeuristicLab.Clients.OKB-3.3.csproj	(revision 5606)
@@ -180,5 +180,104 @@
     <Compile Include="Authentication\AuthenticationClient.cs" />
     <Compile Include="Authentication\ServiceClient\AuthenticationServiceClient.cs" />
+    <Compile Include="Query\QueryClient.cs" />
+    <Compile Include="Query\QueryMenuItem.cs" />
+    <Compile Include="Query\ServiceClient\CombinedFilter.cs" />
+    <Compile Include="Query\ServiceClient\OrdinalComparisonIntFilter.cs" />
+    <Compile Include="Query\ServiceClient\NameOrdinalComparisonIntFilter.cs" />
+    <Compile Include="Query\ServiceClient\NameOrdinalComparisonFloatFilter.cs" />
+    <Compile Include="Query\ServiceClient\Filter.cs" />
+    <Compile Include="Query\ServiceClient\NameEqualityComparisonBoolFilter.cs" />
+    <Compile Include="Query\ServiceClient\NameEqualityComparisonByteArrayFilter.cs" />
+    <Compile Include="Query\ServiceClient\NameOrdinalComparisonDoubleFilter.cs" />
+    <Compile Include="Query\ServiceClient\NameOrdinalComparisonLongFilter.cs" />
+    <Compile Include="Query\ServiceClient\NameStringComparisonAvailableValuesFilter.cs" />
+    <Compile Include="Query\ServiceClient\NameStringComparisonFilter.cs" />
+    <Compile Include="Query\ServiceClient\OrdinalComparisonDateTimeFilter.cs" />
+    <Compile Include="Query\ServiceClient\OrdinalComparisonLongFilter.cs" />
     <Compile Include="Query\ServiceClient\QueryServiceClient.cs" />
+    <Compile Include="Query\ServiceClient\StringComparisonAvailableValuesFilter.cs" />
+    <Compile Include="Query\ServiceClient\StringComparisonFilter.cs" />
+    <Compile Include="Query\Views\CombinedFilterView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="Query\Views\CombinedFilterView.Designer.cs">
+      <DependentUpon>CombinedFilterView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Query\Views\EqualityComparisonFilterView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="Query\Views\EqualityComparisonFilterView.Designer.cs">
+      <DependentUpon>EqualityComparisonFilterView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Query\Views\FilterView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="Query\Views\FilterView.Designer.cs">
+      <DependentUpon>FilterView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Query\Views\NameEqualityComparisonBoolFilterView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="Query\Views\NameEqualityComparisonBoolFilterView.Designer.cs">
+      <DependentUpon>NameEqualityComparisonBoolFilterView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Query\Views\NameOrdinalComparisonDoubleFilterView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="Query\Views\NameOrdinalComparisonDoubleFilterView.Designer.cs">
+      <DependentUpon>NameOrdinalComparisonDoubleFilterView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Query\Views\NameOrdinalComparisonLongFilterView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="Query\Views\NameOrdinalComparisonLongFilterView.Designer.cs">
+      <DependentUpon>NameOrdinalComparisonLongFilterView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Query\Views\NameStringComparisonAvailableValuesFilterView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="Query\Views\NameStringComparisonAvailableValuesFilterView.Designer.cs">
+      <DependentUpon>NameStringComparisonAvailableValuesFilterView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Query\Views\NameStringComparisonFilterView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="Query\Views\NameStringComparisonFilterView.Designer.cs">
+      <DependentUpon>NameStringComparisonFilterView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Query\Views\OrdinalComparisonFilterView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="Query\Views\OrdinalComparisonFilterView.Designer.cs">
+      <DependentUpon>OrdinalComparisonFilterView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Query\Views\OrdinalComparisonLongFilterView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="Query\Views\OrdinalComparisonLongFilterView.Designer.cs">
+      <DependentUpon>OrdinalComparisonLongFilterView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Query\Views\QueryView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="Query\Views\QueryView.Designer.cs">
+      <DependentUpon>QueryView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Query\Views\SetComparisonStringFilterView.cs" />
+    <Compile Include="Query\Views\SetComparisonStringFilterView.Designer.cs">
+      <DependentUpon>SetComparisonStringFilterView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Query\Views\StringComparisonAvailableValuesFilterView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="Query\Views\StringComparisonAvailableValuesFilterView.Designer.cs">
+      <DependentUpon>StringComparisonAvailableValuesFilterView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Query\Views\StringComparisonFilterView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="Query\Views\StringComparisonFilterView.Designer.cs">
+      <DependentUpon>StringComparisonFilterView.cs</DependentUpon>
+    </Compile>
     <Compile Include="RunCreation\ServiceClient\RunCreationServiceClient.cs" />
     <Compile Include="HeuristicLabClientsOKBPlugin.cs" />
Index: /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/QueryClient.cs
===================================================================
--- /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/QueryClient.cs	(revision 5605)
+++ /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/QueryClient.cs	(revision 5606)
@@ -33,11 +33,11 @@
 using HeuristicLab.PluginInfrastructure;
 
-namespace HeuristicLab.Clients.OKB {
-  [Item("OKBClient", "Client for accessing the OKB.")]
-  public sealed class OKBClient : IContent {
-    private static OKBClient instance;
-    public static OKBClient Instance {
+namespace HeuristicLab.Clients.OKB.Query {
+  [Item("QueryClient", "Client for accessing the OKB.")]
+  public sealed class QueryClient : IContent {
+    private static QueryClient instance;
+    public static QueryClient Instance {
       get {
-        if (instance == null) instance = new OKBClient();
+        if (instance == null) instance = new QueryClient();
         return instance;
       }
@@ -75,5 +75,5 @@
     #endregion
 
-    private OKBClient() {
+    private QueryClient() {
       platforms = new ItemCollection<Platform>();
       platforms.ItemsRemoved += new CollectionItemsChangedEventHandler<Platform>(platforms_ItemsRemoved);
Index: /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/QueryMenuItem.cs
===================================================================
--- /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/QueryMenuItem.cs	(revision 5605)
+++ /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/QueryMenuItem.cs	(revision 5606)
@@ -23,5 +23,5 @@
 using HeuristicLab.Optimizer;
 
-namespace HeuristicLab.Clients.OKB {
+namespace HeuristicLab.Clients.OKB.Query {
   internal class QueryMenuItem : HeuristicLab.MainForm.WindowsForms.MenuItem, IOptimizerUserInterfaceItemProvider {
     public override string Name {
Index: /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/CombinedFilter.cs
===================================================================
--- /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/CombinedFilter.cs	(revision 5605)
+++ /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/CombinedFilter.cs	(revision 5606)
@@ -22,5 +22,5 @@
 using System.Linq;
 
-namespace HeuristicLab.Clients.OKB {
+namespace HeuristicLab.Clients.OKB.Query {
   public partial class CombinedFilter {
     public override Filter Clone() {
Index: /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/Filter.cs
===================================================================
--- /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/Filter.cs	(revision 5605)
+++ /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/Filter.cs	(revision 5606)
@@ -23,5 +23,5 @@
 using HeuristicLab.Common;
 
-namespace HeuristicLab.Clients.OKB {
+namespace HeuristicLab.Clients.OKB.Query {
   public partial class Filter : IContent {
     public virtual Filter Clone() {
Index: /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameEqualityComparisonBoolFilter.cs
===================================================================
--- /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameEqualityComparisonBoolFilter.cs	(revision 5605)
+++ /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameEqualityComparisonBoolFilter.cs	(revision 5606)
@@ -20,8 +20,5 @@
 #endregion
 
-using System;
-using HeuristicLab.Common;
-
-namespace HeuristicLab.Clients.OKB {
+namespace HeuristicLab.Clients.OKB.Query {
   public partial class NameEqualityComparisonBoolFilter {
     public override Filter Clone() {
Index: /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameEqualityComparisonByteArrayFilter.cs
===================================================================
--- /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameEqualityComparisonByteArrayFilter.cs	(revision 5605)
+++ /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameEqualityComparisonByteArrayFilter.cs	(revision 5606)
@@ -20,6 +20,5 @@
 #endregion
 
-
-namespace HeuristicLab.Clients.OKB {
+namespace HeuristicLab.Clients.OKB.Query {
   public partial class NameEqualityComparisonByteArrayFilter {
     public override Filter Clone() {
Index: /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameOrdinalComparisonDoubleFilter.cs
===================================================================
--- /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameOrdinalComparisonDoubleFilter.cs	(revision 5605)
+++ /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameOrdinalComparisonDoubleFilter.cs	(revision 5606)
@@ -20,6 +20,5 @@
 #endregion
 
-
-namespace HeuristicLab.Clients.OKB {
+namespace HeuristicLab.Clients.OKB.Query {
   public partial class NameOrdinalComparisonDoubleFilter {
     public override Filter Clone() {
Index: /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameOrdinalComparisonFloatFilter.cs
===================================================================
--- /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameOrdinalComparisonFloatFilter.cs	(revision 5606)
+++ /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameOrdinalComparisonFloatFilter.cs	(revision 5606)
@@ -0,0 +1,28 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.Clients.OKB.Query {
+  public partial class NameOrdinalComparisonFloatFilter {
+    public override Filter Clone() {
+      return new NameOrdinalComparisonFloatFilter() { FilterTypeName = FilterTypeName, Label = Label, Name = Name, Comparison = Comparison, Value = Value };
+    }
+  }
+}
Index: /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameOrdinalComparisonIntFilter.cs
===================================================================
--- /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameOrdinalComparisonIntFilter.cs	(revision 5606)
+++ /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameOrdinalComparisonIntFilter.cs	(revision 5606)
@@ -0,0 +1,28 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.Clients.OKB.Query {
+  public partial class NameOrdinalComparisonIntFilter {
+    public override Filter Clone() {
+      return new NameOrdinalComparisonIntFilter() { FilterTypeName = FilterTypeName, Label = Label, Name = Name, Comparison = Comparison, Value = Value };
+    }
+  }
+}
Index: /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameOrdinalComparisonLongFilter.cs
===================================================================
--- /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameOrdinalComparisonLongFilter.cs	(revision 5605)
+++ /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameOrdinalComparisonLongFilter.cs	(revision 5606)
@@ -20,6 +20,5 @@
 #endregion
 
-
-namespace HeuristicLab.Clients.OKB {
+namespace HeuristicLab.Clients.OKB.Query {
   public partial class NameOrdinalComparisonLongFilter {
     public override Filter Clone() {
Index: /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameStringComparisonAvailableValuesFilter.cs
===================================================================
--- /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameStringComparisonAvailableValuesFilter.cs	(revision 5606)
+++ /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameStringComparisonAvailableValuesFilter.cs	(revision 5606)
@@ -0,0 +1,29 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Collections.Generic;
+namespace HeuristicLab.Clients.OKB.Query {
+  public partial class NameStringComparisonAvailableValuesFilter {
+    public override Filter Clone() {
+      return new NameStringComparisonAvailableValuesFilter() { FilterTypeName = FilterTypeName, Label = Label, Name = Name, Comparison = Comparison, Value = Value, AvailableValues = new List<string>(AvailableValues) };
+    }
+  }
+}
Index: /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameStringComparisonFilter.cs
===================================================================
--- /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameStringComparisonFilter.cs	(revision 5606)
+++ /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameStringComparisonFilter.cs	(revision 5606)
@@ -0,0 +1,28 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.Clients.OKB.Query {
+  public partial class NameStringComparisonFilter {
+    public override Filter Clone() {
+      return new NameStringComparisonFilter() { FilterTypeName = FilterTypeName, Label = Label, Name = Name, Comparison = Comparison, Value = Value };
+    }
+  }
+}
Index: /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/OrdinalComparisonDateTimeFilter.cs
===================================================================
--- /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/OrdinalComparisonDateTimeFilter.cs	(revision 5605)
+++ /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/OrdinalComparisonDateTimeFilter.cs	(revision 5606)
@@ -20,6 +20,5 @@
 #endregion
 
-
-namespace HeuristicLab.Clients.OKB {
+namespace HeuristicLab.Clients.OKB.Query {
   public partial class OrdinalComparisonDateTimeFilter {
     public override Filter Clone() {
Index: /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/OrdinalComparisonIntFilter.cs
===================================================================
--- /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/OrdinalComparisonIntFilter.cs	(revision 5606)
+++ /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/OrdinalComparisonIntFilter.cs	(revision 5606)
@@ -0,0 +1,28 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.Clients.OKB.Query {
+  public partial class OrdinalComparisonIntFilter {
+    public override Filter Clone() {
+      return new OrdinalComparisonIntFilter() { FilterTypeName = FilterTypeName, Label = Label, Comparison = Comparison, Value = Value };
+    }
+  }
+}
Index: /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/OrdinalComparisonLongFilter.cs
===================================================================
--- /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/OrdinalComparisonLongFilter.cs	(revision 5605)
+++ /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/OrdinalComparisonLongFilter.cs	(revision 5606)
@@ -20,6 +20,5 @@
 #endregion
 
-
-namespace HeuristicLab.Clients.OKB {
+namespace HeuristicLab.Clients.OKB.Query {
   public partial class OrdinalComparisonLongFilter {
     public override Filter Clone() {
Index: /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/StringComparisonAvailableValuesFilter.cs
===================================================================
--- /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/StringComparisonAvailableValuesFilter.cs	(revision 5606)
+++ /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/StringComparisonAvailableValuesFilter.cs	(revision 5606)
@@ -0,0 +1,29 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Collections.Generic;
+namespace HeuristicLab.Clients.OKB.Query {
+  public partial class StringComparisonAvailableValuesFilter {
+    public override Filter Clone() {
+      return new StringComparisonAvailableValuesFilter() { FilterTypeName = FilterTypeName, Label = Label, Comparison = Comparison, Value = Value, AvailableValues = new List<string>(AvailableValues) };
+    }
+  }
+}
Index: /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/StringComparisonFilter.cs
===================================================================
--- /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/StringComparisonFilter.cs	(revision 5606)
+++ /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/StringComparisonFilter.cs	(revision 5606)
@@ -0,0 +1,28 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.Clients.OKB.Query {
+  public partial class StringComparisonFilter {
+    public override Filter Clone() {
+      return new StringComparisonFilter() { FilterTypeName = FilterTypeName, Label = Label, Comparison = Comparison, Value = Value };
+    }
+  }
+}
Index: /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/Views/CombinedFilterView.Designer.cs
===================================================================
--- /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/Views/CombinedFilterView.Designer.cs	(revision 5605)
+++ /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/Views/CombinedFilterView.Designer.cs	(revision 5606)
@@ -20,5 +20,5 @@
 #endregion
 
-namespace HeuristicLab.Clients.OKB {
+namespace HeuristicLab.Clients.OKB.Query {
   partial class CombinedFilterView {
     /// <summary> 
Index: /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/Views/CombinedFilterView.cs
===================================================================
--- /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/Views/CombinedFilterView.cs	(revision 5605)
+++ /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/Views/CombinedFilterView.cs	(revision 5606)
@@ -26,5 +26,5 @@
 using HeuristicLab.MainForm.WindowsForms;
 
-namespace HeuristicLab.Clients.OKB {
+namespace HeuristicLab.Clients.OKB.Query {
   [View("CombinedFilter View")]
   [Content(typeof(CombinedFilter), true)]
@@ -41,5 +41,5 @@
     protected override void OnInitialized(System.EventArgs e) {
       base.OnInitialized(e);
-      IEnumerable<Filter> availableFilters = OKBClient.Instance.GetFilters();
+      IEnumerable<Filter> availableFilters = QueryClient.Instance.GetFilters();
       filtersComboBox.DataSource = availableFilters;
       filtersComboBox.DisplayMember = "Label";
Index: /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/Views/EqualityComparisonFilterView.Designer.cs
===================================================================
--- /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/Views/EqualityComparisonFilterView.Designer.cs	(revision 5605)
+++ /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/Views/EqualityComparisonFilterView.Designer.cs	(revision 5606)
@@ -20,5 +20,5 @@
 #endregion
 
-namespace HeuristicLab.Clients.OKB {
+namespace HeuristicLab.Clients.OKB.Query {
   partial class EqualityComparisonFilterView {
     /// <summary> 
Index: /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/Views/EqualityComparisonFilterView.cs
===================================================================
--- /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/Views/EqualityComparisonFilterView.cs	(revision 5605)
+++ /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/Views/EqualityComparisonFilterView.cs	(revision 5606)
@@ -24,5 +24,5 @@
 using HeuristicLab.MainForm.WindowsForms;
 
-namespace HeuristicLab.Clients.OKB {
+namespace HeuristicLab.Clients.OKB.Query {
   [View("EqualityComparisonFilter View")]
   public partial class EqualityComparisonFilterView : FilterView {
Index: /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/Views/FilterView.Designer.cs
===================================================================
--- /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/Views/FilterView.Designer.cs	(revision 5605)
+++ /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/Views/FilterView.Designer.cs	(revision 5606)
@@ -20,5 +20,5 @@
 #endregion
 
-namespace HeuristicLab.Clients.OKB {
+namespace HeuristicLab.Clients.OKB.Query {
   partial class FilterView {
     /// <summary> 
Index: /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/Views/FilterView.cs
===================================================================
--- /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/Views/FilterView.cs	(revision 5605)
+++ /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/Views/FilterView.cs	(revision 5606)
@@ -24,5 +24,5 @@
 using HeuristicLab.MainForm.WindowsForms;
 
-namespace HeuristicLab.Clients.OKB {
+namespace HeuristicLab.Clients.OKB.Query {
   [View("Filter View")]
   [Content(typeof(Filter), true)]
Index: /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/Views/NameEqualityComparisonBoolFilterView.Designer.cs
===================================================================
--- /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/Views/NameEqualityComparisonBoolFilterView.Designer.cs	(revision 5605)
+++ /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/Views/NameEqualityComparisonBoolFilterView.Designer.cs	(revision 5606)
@@ -20,5 +20,5 @@
 #endregion
 
-namespace HeuristicLab.Clients.OKB {
+namespace HeuristicLab.Clients.OKB.Query {
   partial class NameEqualityComparisonBoolFilterView {
     /// <summary> 
Index: /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/Views/NameEqualityComparisonBoolFilterView.cs
===================================================================
--- /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/Views/NameEqualityComparisonBoolFilterView.cs	(revision 5605)
+++ /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/Views/NameEqualityComparisonBoolFilterView.cs	(revision 5606)
@@ -24,5 +24,5 @@
 using HeuristicLab.MainForm.WindowsForms;
 
-namespace HeuristicLab.Clients.OKB {
+namespace HeuristicLab.Clients.OKB.Query {
   [View("NameEqualityComparisonBoolFilter View")]
   [Content(typeof(NameEqualityComparisonBoolFilter), true)]
Index: /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/Views/NameOrdinalComparisonDoubleFilterView.Designer.cs
===================================================================
--- /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/Views/NameOrdinalComparisonDoubleFilterView.Designer.cs	(revision 5605)
+++ /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/Views/NameOrdinalComparisonDoubleFilterView.Designer.cs	(revision 5606)
@@ -20,5 +20,5 @@
 #endregion
 
-namespace HeuristicLab.Clients.OKB {
+namespace HeuristicLab.Clients.OKB.Query {
   partial class NameOrdinalComparisonDoubleFilterView {
     /// <summary> 
Index: /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/Views/NameOrdinalComparisonDoubleFilterView.cs
===================================================================
--- /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/Views/NameOrdinalComparisonDoubleFilterView.cs	(revision 5605)
+++ /branches/OKB (trunk integration)/HeuristicLab.Clients.OKB/3.3/Query/Views/NameOrdinalComparisonDoubleFilterView.cs	(revision 5606)
@@ -24,5 +24,5 @@
 using HeuristicLab.MainForm.WindowsForms;
 
-namespace HeuristicLab.Clients.OKB {
+namespace HeuristicLab.Clients.OKB.Query {
   [View("NameOrdinalComparisonDoubleFilter View")]
   [Content(typeof(NameOrdinalComparisonDoubleFilter), true)]
